Bug 1519 - 'PUMP' -> The new dhcp/bootp client
Summary: 'PUMP' -> The new dhcp/bootp client
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: dhcpcd (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-15 20:03 UTC by Chris Yeo
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-31 20:29:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Yeo 1999-03-15 20:03:09 UTC
There are 2 problems I experienced.

1) pump got an ip address from the dhcp server that I run
on my machine at home.  This is not where it should have
gotten the dhcp address from.

2) pump couldn't get an ip address from my @Home cablemodem
connection.  The following logs messages were in
/var/log/messages:

Mar 14 20:58:31 CS490542-A ifup: Determing IP information
for eth0...
Mar 14 20:58:31 CS490542-A pumpd[198]: starting at Sun Mar
14 20:58:31 1999
Mar 14 20:59:01 CS490542-A ifup: Operation failed.
Mar 14 20:59:01 CS490542-A ifup:  failed.

When I use dhcpcd, I call it like this:

dhcpcd -h CS490542-A eth0

for pump:

pump -i eth0

I am running kernel 2.2.3 and have updated most (if not
all) of the important packages for Rawhide, including
initscripts, sysvinit, development stuff.

Comment 1 Cristian Gafton 1999-03-18 19:39:59 UTC
Erik ?

Comment 2 witten 1999-03-19 19:16:59 UTC
pump is also non-functional in starbuck. starbuck erases dhcpcd upon
installation (during its "obsolete packages" sweep).

Comment 3 Erik Troan 1999-03-31 20:29:59 UTC
pump 0.3 should work much better, and will be in the next starbuck
release (this week). Please reopen this if it's still an issue.


Note You need to log in before you can comment on or make changes to this bug.